dpkg-statoverride(1)

NOME
dpkg-statoverride - sovrascrive la proprietà e i permessi dei file

SINTASSI
dpkg-statoverride [opzione...] comando

DESCRIZIONE
“stat overrides” are a way to tell dpkg(1) to use a different owner or mode for a path when a package is installed (this applies to any filesystem object that dpkg handles, including directories, devices, etc.). This can be used to force programs that are normally setuid to be install without a setuid flag, or only executable by a certain group.

dpkg-statoverride è un'utilità per gestire l'elenco di «stat override» (sovrascritture di stato). Ha tre funzioni di base: aggiunta, rimozione ed elenco delle sovrascritture.

COMANDI

--add utente gruppo modalità percorso
    Add an override for path. path does not need to exist when this command is used; the override will be stored and used later. Users and groups can be specified by their name (for example root or nobody), or by their number by prepending the number with a ‘#’ (for example #0 or #65534). The mode needs to be specified in octal. Se viene usato --update e path esiste, quest'ultimo viene immediatamente impostato con i nuovi proprietario e modalità.

--remove percorso
    Rimuove una sovrascrittura per path; questo comando lascia lo stato di path immutato.

--list [modello-glob]
    List all overrides. If a glob pattern is specified restrict the output to overrides which match the glob.

--help
    Mostra il messaggio sull'uso ed esce.

--version
    Mostra la versione ed esce.

OPZIONI

--admindir directory
    Cambia la directory del database di dpkg dove viene memorizzato anche il file statoverride. La posizione predefinita è %ADMINDIR%.

--force
    Forza un'azione, anche se verrebbe proibita da un controllo di correttezza. Non è necessario per sovrascrivere una sovrascrittura esistente.

--update
    Cerca di modificare immediatamente il percorso con i nuovi proprietario e permessi, se esiste.

--quiet
    È meno prolisso riguardo a ciò che viene fatto.

STATO D'USCITA

0   L'azione richiesta è stata effettuata con successo.

1   For --list, if there are no overrides or none match the supplied glob.

2   Fatal or unrecoverable error due to invalid command-line usage, or interactions with the system, such as accesses to the database, memory allocations, etc.

AMBIENTE

DPKG_ADMINDIR
    Se impostata e l'opzione --admindir non è stata specificata, verrà usata come directory dei dati di dpkg.

FILE

%ADMINDIR%/statoverride
    File which contains the current list of stat overrides of the system. It is located in the dpkg administration directory, along with other files important to dpkg, such as status or available.
    Note: dpkg-statoverride preserves the old copy of this file, with extension “-old”, before replacing it with the new one.

VEDERE ANCHE
dpkg(1).